Package: java.time

## [Java] Class Month

- java.time.Month

-     public class Month
      extends Object

  GDK enhancements for Month.

  displayName:
    Month
  receiverFqcn:
    java.time.Month

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public MonthDay` | `leftShift(int dayOfMonth)` Creates a MonthDay at the provided day of the month.
    `` | `public YearMonth` | `leftShift(Year year)` Creates a YearMonth at the provided Year.
    `` | `public Month` | `minus(int months)` Returns the Month that is `months` months before this month.
    `` | `public Month` | `plus(int months)` Returns the Month that is `months` months after this month.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `addShutdownHook, any, any, asBoolean, asType, collect, collect, collect, dump, each, eachMatch, eachMatch, eachWithIndex, every, every, find, find, findAll, findAll, findIndexOf, findIndexOf, findIndexValues, findIndexValues, findLastIndexOf, findLastIndexOf, findResult, findResult, findResult, findResult, getAt, getMetaClass, getMetaPropertyValues, getProperties, grep, grep, hasProperty, identity, inject, inject, inspect, invokeMethod, is, isCase, isNotCase, iterator, metaClass, print, print, printf, printf, println, println, println, putAt, respondsTo, respondsTo, setMetaClass, sleep, sleep, split, sprintf, sprintf, stream, tap, toString, use, use, use, with, with, withCloseable, withCloseable, withMethodClosure, withStream, withStream, withTraits`

- - ### Method Detail

    - #### public MonthDay leftShift(int dayOfMonth)

      Creates a MonthDay at the provided day of the month.

      Parameters:
        `dayOfMonth` - a day of the month
      Returns:
        a MonthDay
      Since:
        2.5.0

    - #### public YearMonth leftShift(Year year)

      Creates a YearMonth at the provided Year.

      Parameters:
        `year` - a Year
      Returns:
        a YearMonth
      Since:
        2.5.0

    - #### public Month minus(int months)

      Returns the Month that is `months` months before this month.

      Parameters:
        `months` - the number of months to move back
      Returns:
        the Month
      Since:
        2.5.0

    - #### public Month plus(int months)

      Returns the Month that is `months` months after this month.

      Parameters:
        `months` - the number of months move forward
      Returns:
        the Month
      Since:
        2.5.0